#include<stdio.h>

int main()
{
	int m, n;
	int p=0, s=1, i=1, j=1;

	scanf("%d %d", &m, &n);

	if(m<=0 || n<=0 || m<n)
		printf("-1\n");
	else
		{
		for(i=0;i<n;i++)
			{
			p= p+ s;
			s++;
			}
		printf("%d ", p);
		for(j=n;j<m;j++)
			{
			p= p + n;
			printf("%d ", p);
		}	}
	return 0;
}
